For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
            • POSTCreate merchant application
            • POSTCreate multi-product boarding app
            • GETGet app by ID
            • GETGet multi-product boarding apps for paypoint
            • GETList all apps for org
            • PUTUpdate app
            • DELDelete application
            • POSTGet application via auth token
            • GETRetrieve application by link ID
            • GETGet boarding link by template ID
            • PUTGet or send boarding link
            • GETGet boarding link by reference
            • GETList all application links
            • GETExport applications
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Ops endpointsBoardingBoarding apps

Get application via auth token

|View as Markdown|Open in Claude|
POST
/Boarding/read/:xId
POST
/api/Boarding/read/:xId
$curl -X POST https://api-sandbox.payabli.com/api/Boarding/read/17E \
> -H "requestToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "email": "admin@email.com",
> "referenceId": "n6UCd1f1ygG7"
>}'
1{
2 "annualRevenue": 1000,
3 "averageMonthlyVolume": 1000,
4 "averageTicketAmount": 1000,
5 "bAddress1": "123 Walnut Street",
6 "bAddress2": "Suite 103",
7 "bankData": [
8 {
9 "id": 1,
10 "accountId": "123-456",
11 "nickname": "Business Checking 1234",
12 "bankName": "Country Bank",
13 "routingAccount": "123123123",
14 "accountNumber": "1XXXXXX3123",
15 "typeAccount": "Checking",
16 "bankAccountHolderName": "Gruzya Adventure Outfitters LLC",
17 "bankAccountHolderType": "Personal",
18 "bankAccountFunction": 1
19 },
20 {
21 "id": 1,
22 "accountId": "123-456",
23 "nickname": "Business Checking 1234",
24 "bankName": "Country Bank",
25 "routingAccount": "123123123",
26 "accountNumber": "1XXXXXX3123",
27 "typeAccount": "Checking",
28 "bankAccountHolderName": "Gruzya Adventure Outfitters LLC",
29 "bankAccountHolderType": "Personal",
30 "bankAccountFunction": 0
31 }
32 ],
33 "bCity": "New Vegas",
34 "bCountry": "US",
35 "bFax": "5551234567",
36 "binPerson": 60,
37 "binPhone": 20,
38 "binWeb": 20,
39 "boardingLinkId": 91,
40 "boardingStatus": 1,
41 "boardingSubStatus": 1,
42 "bPhone": "5551234567",
43 "bStartdate": "01/01/1990",
44 "bState": "FL",
45 "bSummary": "Brick and mortar store that sells office supplies",
46 "builderData": {
47 "attributes": {
48 "minimumDocuments": 1,
49 "multipleContacts": true,
50 "multipleOwners": true
51 }
52 },
53 "bZip": "33000",
54 "contactData": [
55 {
56 "contactEmail": "example@email.com",
57 "contactName": "Herman Martinez",
58 "contactPhone": "3055550000",
59 "contactTitle": "Owner"
60 }
61 ],
62 "createdAt": "2022-07-01T15:00:01Z",
63 "dbaName": "Sunshine Gutters",
64 "documentsRef": {
65 "filelist": [
66 {}
67 ],
68 "zipfile": "zx45.zip"
69 },
70 "ein": "123456789",
71 "externalPaypointId": "Paypoint-100",
72 "generalEvents": [
73 {
74 "description": "TransferCreated",
75 "eventTime": "2023-07-05T22:31:06Z",
76 "extraData": null,
77 "refData": "refData",
78 "source": "api"
79 }
80 ],
81 "highTicketAmount": 1000,
82 "idApplication": 352,
83 "lastModified": "2022-07-01T15:00:01Z",
84 "legalName": "Sunshine Services, LLC",
85 "license": "2222222FFG",
86 "licenseState": "CA",
87 "logo": {
88 "fContent": "TXkgdGVzdCBmaWxlHJ==...",
89 "filename": "my-doc.pdf",
90 "ftype": "pdf",
91 "furl": "https://mysite.com/my-doc.pdf"
92 },
93 "mAddress1": "123 Walnut Street",
94 "mAddress2": "STE 900",
95 "mccid": "mccid",
96 "mCity": "TN",
97 "mCountry": "US",
98 "mState": "TN",
99 "mZip": "37615",
100 "orgId": 123,
101 "orgParentName": "PropertyManager Pro",
102 "ownerData": [
103 {
104 "ownername": "John Smith",
105 "ownertitle": "CEO",
106 "ownerpercent": 25,
107 "ownerssn": "123456789",
108 "ownerdob": "01/01/1990",
109 "ownerphone1": "555888111",
110 "ownerphone2": "555888111",
111 "owneremail": "example@email.com",
112 "ownerdriver": "CA6677778",
113 "oaddress": "33 North St",
114 "ocity": "Any City",
115 "ocountry": "US",
116 "odriverstate": "CA",
117 "ostate": "CA",
118 "ozip": "55555"
119 }
120 ],
121 "ownType": "Limited Liability Company",
122 "pageidentifier": "null",
123 "recipientEmailNotification": true,
124 "resumable": false,
125 "salesCode": "salesCode",
126 "serviceData": {
127 "ach": {
128 "acceptCCD": false,
129 "acceptPPD": false,
130 "acceptWeb": true
131 },
132 "card": {
133 "acceptAmex": true,
134 "acceptDiscover": false,
135 "acceptMastercard": true,
136 "acceptVisa": true
137 },
138 "odp": {
139 "allowAch": true,
140 "allowChecks": true,
141 "allowVCard": true,
142 "processing_region": "US",
143 "processor": "tysys",
144 "issuerNetworkSettingsId": "12345678901234"
145 }
146 },
147 "signer": {
148 "signerUuid": "54455d5d-34ff-416c-91e0-5bc87199999",
149 "name": "John Smith",
150 "ssn": "123456789",
151 "dob": "01/01/1990",
152 "phone": "555888111",
153 "email": "example@email.com",
154 "address": "33 North St",
155 "address1": "STE 900",
156 "city": "Bristol",
157 "state": "TN",
158 "zip": "55555",
159 "country": "US",
160 "acceptance": false,
161 "signedDocumentReference": "signedDocumentReference"
162 },
163 "taxfillname": "Sunshine LLC",
164 "templateId": 22,
165 "websiteAddress": "www.example.com",
166 "whencharged": "When Service Provided",
167 "whendelivered": "0-7 Days",
168 "whenProvided": "30 Days or Less",
169 "whenrefund": "Exchange Only"
170}

Gets a boarding application by authentication information. This endpoint requires an application API token.

Was this page helpful?
Previous

Delete application

Next

Retrieve application by link ID

Authentication

requestTokenstring
API Key authentication via header

Path parameters

xIdstringRequired

The application ID in Hex format. Find this at the end of the boarding link URL returned in a call to api/Boarding/applink/{appId}/{mail2}. For example in: https://boarding-sandbox.payabli.com/boarding/externalapp/load/17E, the xId is 17E.

Request

This endpoint expects an object.
emailstringOptionalformat: "email"<=320 characters
The email address the applicant used to save the application.
referenceIdstringOptional
The referenceId is sent to the applicant via email when they save the application.

Response

Success
annualRevenuedouble
Annual revenue amount.
averageMonthlyVolumedouble
Average total amount of transactions in your local currency that are processed each month.
averageTicketAmountdouble

The average transaction size that the business expects to process. For example, if you process 10,000amonthacross10transactions,that′sanaverageticketof10,000 a month across 10 transactions, that's an average ticket of 10,000amonthacross10transactions,that′sanaverageticketof1000.

bAddress1string
Business address. This must be a physical address, not a P.O. box.
bAddress2string
Business address additional line. If used, this must be the physical address of the business, not a P.O. box.
bankDatalist of objects
Information about associated bank accounts.
bCitystring
Business city.
bCountrystring

Business country in ISO-3166-1 alpha 2 format. See ISO 3166-1 for more information.

bFaxstring
The business's fax number.
binPersoninteger

Numeric percent of volume processed in person. To pass validation, binperson, binweb, and binphone must total 100 together.

binPhoneinteger

Numeric percent of volume processed by phone. To pass validation, binperson, binweb, and binphone must total 100 together.

binWebinteger

Numeric percent of volume processed on web. To pass validation, binperson, binweb, and binphone must total 100 together.

boardingLinkIdinteger

The boarding link ID. This is found at the end of the boarding link reference name. For example: https://boarding.payabli.com/boarding/app/myorgaccountname-00091. The ID is 91.

boardingStatusinteger

The application’s status in the merchant boarding process. See Boarding Status Reference for more.

boardingSubStatusinteger

The application’s status in the merchant boarding process. See Boarding Status Reference for more.

bPhonestring
Business phone number.
bStartdatestring

Business start date. Accepted formats:

  • YYYY-MM-DD
  • MM/DD/YYYY
bStatestring
Business state.
bSummarystring
A summary of what the business sells in terms of goods or services.
builderDataobject
bZipstring
Business ZIP.
contactDatalist of objects
List of contacts.
createdAtdatetime
Timestamp of when record was created, in UTC.
dbaNamestring
The alternate or common name that this business is doing business under, usually referred to as a DBA name.
documentsRefobject
einstring
Business EIN or tax ID. This value is masked in API responses.
externalPaypointIdstring
A custom identifier for the paypoint, if applicable.
generalEventslist of objects
Events associated with the application.
highTicketAmountdouble
Highest ticket amount.
idApplicationinteger
Boarding application ID.
lastModifieddatetime
Timestamp of when record was last updated, in UTC.
legalNamestring
Business legal name.
licensestring
Business license ID or state ID number.
licenseStatestring
Business license issuing state or province.
logoobject
Object containing logo file.
mAddress1string
The business's mailing address.
mAddress2string
Additional line for the business's mailing address.
mccidstring
mCitystring
The business's mailing address state.
mCountrystring
Business mailing country.
mStatestring
The business's mailing address state.
mZipstring
Business mailing ZIP.
orgIdlong
Organization ID. Unique identifier assigned to an org by Payabli.
orgParentNamestring
The name of the parent organization.
ownerDatalist of objects

List of Owners with at least a 25% ownership.

ownTypeenum
The business ownership type.
pageidentifierstring
Auxiliary validation used internally by payment pages and components.
recipientEmailNotificationboolean

When true, Payabli will send the applicant a boarding link. Set this value to false if you are sending pre-filled applications via the API and don’t want Payabli to send the applicant an email to complete the boarding application.

resumableboolean

When true, the applicant can save an incomplete application and resume it later. When false, the applicant won’t have an option to save their progress, and must complete the application in one session.

salesCodestring
serviceDataobject
Controls which services will be enabled for the merchant.
signerobject
Information about the application's signer.
taxfillnamestring
Business name in tax document. This is only relevant if a government entity has given you an alternative name to file tax documents with.
templateIdlong
The associated boarding template's ID in Payabli.
websiteAddressstring

The business website address. Include only the domain and TLD, do not enter the protocol (http/https). For example: www.example.com is acceptable.

whenchargedenum
Describes when customers are charged for goods or services.
Allowed values:
whendeliveredenum
When goods and services are delivered.
Allowed values:
whenProvidedenum
Describes when goods or services are provided, from time of transaction.
Allowed values:
whenrefundenum
Describes the business refund policy.
Allowed values:
additionalDatamap from strings to strings

Custom dictionary of key:value pairs. You can use this field to store any data related to the object or for your system.

1{
2 "additionalData": {
3 "key1": "value1",
4 "key2": "value2",
5 "key3": "value3"
6 }
7}
RepCodestring<=50 characters
Sales representative code. This is an optional field that can be used to track the sales representative associated with the application.
RepNamestring<=50 characters
Sales representative name. This is an optional field that can be used to track the sales representative associated with the application.
RepOfficestring<=50 characters
Sales representative office location. This is an optional field that can be used to track the sales representative office associated with the application.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error